Subject: Re: linux-next: manual merge of the kvm-x86 tree with the kvm6390 tree

From: Sean Christopherson <[email-masked]>
Date: Wed, 11 Sep 2024 07:39:14 -0700

On Wed, Sep 11, 2024, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kvm-x86 tree got a conflict in:
> 
>   tools/testing/selftests/kvm/.gitignore
> 
> between commit:
> 
>   011901fc2224 ("selftests: kvm: s390: Add s390x ucontrol test suite with hpage test")
> 
> from the kvm6390 tree and commit:
> 
>   9d15171f39f0 ("KVM: selftests: Explicitly include committed one-off assets in .gitignore")
> 
> from the kvm-x86 tree.
> 
> I fixed it up (the latter includes the former) and can carry the fix as

Ya, I'll make sure to note this in my pull request to Paolo, but I don't think
there's anything else to be done at this time.

Thanks Stephen!

> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.